ServerEvents.recipes((event) => {
  const greg = event.recipes.gtceu;
  event.remove({ id: "projecte:dark_matter" });
  event.remove({ id: "projecte:red_matter" });
  event.remove({ id: "projectexpansion:magenta_matter" });
  event.remove({ id: "projectexpansion:pink_matter" });
  event.remove({ id: "projectexpansion:purple_matter" });
  // dark matter
  greg
    .assembler("projecte:dark_matter")
    .itemInputs("8x projecte:aeternalis_fuel")
    .itemInputs("4x minecraft:diamond_block")
    .itemOutputs("projecte:dark_matter")
    .duration(200)
    .EUt(128);
	
  greg
    .assembler("projecte:dark_matter16x")
	.inputFluids("gtceu:naquadria 144")
    .itemInputs("8x projecte:mobius_fuel")
    .itemInputs("4x minecraft:diamond")
    .itemOutputs("16x projecte:dark_matter")
    .duration(40)
    .EUt(128);
	// matter
	
  greg
    .compressor("projecte:red_matter")
    .itemInputs("4x projecte:dark_matter")
    .itemOutputs("projecte:red_matter")
    .duration(200)
    .EUt(512);
	
  greg
    .compressor("projectexpansion:magenta_matter")
    .itemInputs("4x projecte:red_matter")
    .itemOutputs("projectexpansion:magenta_matter")
    .duration(200)
    .EUt(2048);
	
  greg
    .compressor("projectexpansion:pink_matter")
    .itemInputs("4x projectexpansion:magenta_matter")
    .itemOutputs("projectexpansion:pink_matter")
    .duration(200)
    .EUt(8192);
	
  greg
    .compressor("projectexpansion:purple_matter")
    .itemInputs("4x projectexpansion:pink_matter")
    .itemOutputs("projectexpansion:purple_matter")
    .duration(400)
    .EUt(32768);
});
